Name:           inkscape
Version:        0.47
Release:        6%{?dist}
Summary:        Vector-based drawing program using SVG

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://inkscape.sourceforge.net/
Source0:        http://download.sourceforge.net/inkscape/%{name}-%{version}.tar.bz2

Patch0:         inkscape-20090410svn-uniconv.patch
Patch4:         inkscape-20090410svn-formats.patch
Patch5:         inkscape-20090925svn-el5.patch
Patch6:         inkscape-20091101svn-icon.patch
Patch7:         inkscape-0.47-newpoppler.patch

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
ExcludeArch: s390 s390x

BuildRequires:  atk-devel
BuildRequires:  desktop-file-utils
BuildRequires:  freetype-devel
BuildRequires:  gc-devel >= 6.4
BuildRequires:  gettext
BuildRequires:  gtkmm24-devel >= 2.8.0
BuildRequires:  gtkspell-devel
BuildRequires:  gnome-vfs2-devel >= 2.0
BuildRequires:  libpng-devel >= 1.2
BuildRequires:  libxml2-devel >= 2.6.11
BuildRequires:  libxslt-devel >= 1.0.15
BuildRequires:  pango-devel
BuildRequires:  pkgconfig
BuildRequires:  lcms-devel >= 1.13
BuildRequires:  cairo-devel
BuildRequires:  dos2unix
BuildRequires:  python-devel
BuildRequires:  poppler-devel
BuildRequires:  boost-devel
BuildRequires:  gsl-devel
BuildRequires:  libwpg-devel
BuildRequires:  ImageMagick-c++-devel
BuildRequires:  perl(XML::Parser)
BuildRequires:  perl(ExtUtils::Embed)
BuildRequires:  intltool
BuildRequires:  popt-devel
BuildRequires:  autoconf
BuildRequires:  automake

# Disable all for now. TODO: Be smarter
%if 0
Requires:       dia
Requires:       pstoedit
Requires:       ghostscript
Requires:       perl(Image::Magick)
Requires:       tex(latex)
Requires:       tex(dvips)
Requires:       transfig
Requires:       gimp
Requires:       numpy
Requires:       python-lxml
Requires:       uniconvertor
# TODO: Deal with these (autoreqs, disabled now):
# perl(Cwd)
# perl(Exporter)
# perl(File::Basename)
# perl(Getopt::Long)
# perl(Getopt::Std)
# perl(MIME::Base64)
# perl(Pod::Usage)
# perl(SVG)
# perl(SVG::Parser)
# perl(XML::XQL)
# perl(XML::XQL::DOM)
# perl(strict)
# perl(vars)
# perl(warnings)
%endif
Requires:       python-lxml
Requires:       numpy

# the package requires libperl.so, so it also has to require this:
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

# Filter out perl requires and provides
# XXX: For now _all_
%global __perl_provides %{nil}
%global __perl_requires %{nil}

%description
Inkscape is a vector graphics editor, with capabilities similar to
Illustrator, CorelDraw, or Xara X, using the W3C standard Scalable Vector
Graphics (SVG) file format.  It is therefore a very useful tool for web
designers and as an interchange format for desktop publishing.

Inkscape supports many advanced SVG features (markers, clones, alpha
blending, etc.) and great care is taken in designing a streamlined
interface. It is very easy to edit nodes, perform complex path operations,
trace bitmaps and much more.


%package view
Summary:        Viewing program for SVG files
Group:          Applications/Productivity
# the package requires libperl.so, so it also has to require this:
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description view
Viewer for files in W3C standard Scalable Vector Graphics (SVG) file
format.


%package docs
Summary:        Documentation for Inkscape
Group:          Documentation
Requires:       inkscape

%description docs
Tutorial and examples for Inkscape, a graphics editor for vector
graphics in W3C standard Scalable Vector Graphics (SVG) file format.


%prep
%setup -q
%patch0 -p1 -b .uniconv
%patch4 -p1 -b .formats
%patch5 -p1 -b .el5
%patch6 -p0 -b .japierdole
%patch7 -p1 -b .poppler

# https://bugs.launchpad.net/inkscape/+bug/314381
# A couple of files have executable bits set,
# despite not being executable
(find . \( -name '*.cpp' -o -name '*.h' \) -perm +111
	find share/extensions -name '*.py' -perm +111
) |xargs chmod -x

# Fix end of line encodings
dos2unix -k -q share/extensions/*.py


%build
autoreconf -i
rm intltool*
intltoolize --automake
%configure                      \
        --with-python           \
        --with-perl             \
        --with-gnome-vfs        \
        --with-xft              \
        --enable-lcms           \
        --enable-poppler-cairo  \
        --disable-dependency-tracking

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# No skencil anymore
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/extensions/sk2svg.sh

%find_lang %{name}


%check
# XXX: Tests fail, ignore it for now
make -k check || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/inkscape
%dir %{_datadir}/inkscape
%{_datadir}/inkscape/clipart
%{_datadir}/inkscape/extensions
%{_datadir}/inkscape/filters
%{_datadir}/inkscape/fonts
%{_datadir}/inkscape/gradients
%{_datadir}/inkscape/icons
%{_datadir}/inkscape/keys
%{_datadir}/inkscape/markers
%{_datadir}/inkscape/palettes
%{_datadir}/inkscape/patterns
%{_datadir}/inkscape/screens
%{_datadir}/inkscape/templates
%{_datadir}/inkscape/ui
%{_datadir}/applications/fedora-inkscape.desktop
%{_datadir}/pixmaps/inkscape.png
%{_mandir}/man1/inkscape.1*
%{_mandir}/fr/man1/inkscape.1*
%doc AUTHORS COPYING ChangeLog NEWS README


%files view
%defattr(-,root,root,-)
%{_bindir}/inkview
%{_mandir}/man1/inkview.1*
%doc AUTHORS COPYING ChangeLog NEWS README


%files docs
%defattr(-,root,root,-)
%dir %{_datadir}/inkscape
%{_datadir}/inkscape/tutorials
%{_datadir}/inkscape/examples



%changelog

